---
title: "6 ways you can contribute to open source knowledge right now"
date: "2022-08-30"
tags: "note, guide, practices"
---

# 6 ways you can contribute to open source knowledge right now

I'm currently away from my laptop, traveling through Norway in a rented campervan. While roaming the beautiful landscapes, I spend a lot of time thinking. Reading books while traveling really is the best way to find new inspiration.

On our trip, we wanted to try out an alternative to Google Maps. Most of the OpenStreetMap-based apps lack important features, but we recently stumbled upon [MagicEarth](https://www.magicearth.com/), which perfectly fills the void. OpenStreetMap has been 95% accurate for us. Those last 5% are mostly less famous hiking trails and attractions that could easily be filled in by people like you and I, which served as the inspiration for this blog-post.

Here are 6 ways to contribute open source knowledge right now:

## OpenStreetMap

As mentioned above, I spotted some minor inconsistencies in [OpenStreetMap](https://openstreetmap.org) while driving through Norway. We tracked our hikes with an app that is able to export a GPX file, which can be imported to OpenStreetMap to check if the trail matches (or if it is missing), and took note of incorrect or sloppy roads/buildings. Back home, I plan to sit down and fix up those issues.

But you don't have to be on a roadtrip to contribute to OpenStreetMap! Chances are you know your local surroundings pretty well. Just navigate to your neighborhood and see what could be improved. Maybe you know a public toilet, a park or a secret road that is not shown on the map? As a matter of fact, my private address was missing, so I added it via the editor. I can now use any of the many OpenStreetMap-based apps to navigate home!

## Wikipedia (and other wikis)

I often feel like I can't contribute much to the vast knowledge of Wikipedia. _Other people are way smarter than me_ and whatnot. But while you might not be able to publish worthy edits to a well-known topic, you might know some things that others haven't thought of. Is there an entry about your local town? Is there an interesting member of your (past) family that others might want to read about?

Of course, there are other wikis beside Wikipedia. Are you using a little-known tool that has open source documentation in the form of a wiki? How can it be improved?

## Observation

You might have never heard of [observation.org](https://observation.org). It's an open biodiversity- and nature-database. I just recently learned about them in our local museum. They had a special exhibition about insects, and called out for contributions to map out our local flora and fauna.

The idea is simple: snap a picture of an interesting looking insect or plant, upload it using the website (or one of their apps) and create an "observation". Using this information, researchers will be able to understand the biodiversity of your area. The information is free to use, and anyone can contribute!

## Wardriving

"Wardriving" is the process of driving around by bike or car and mapping out the networks around you.

## folding@home

## Blog posts
